#include <stdint.h>
#include "structs.h"

#define FREQ(x) ((x == 0x0) ? 100000.0 : ((x == 0x1) ? 10000.0 : ((x == 0x2) ? 1000.0 : 100.0)))

void display(struct results *results, struct config *config);
void float_to_bcd(float float_num, char *disp_pt, char *suffix, struct hys_buf_struct *hys_buf);
uint8_t char_to_7seg(uint8_t seg_char);
suffix_to_leds(char suffix, uint8_t disp_nr);
